<?php
/**
 * Author Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 
if(isset($_GET['author_name'])) :
	$curauth = get_user_by('slug', $author_name);
else :
	$curauth = get_userdata(intval($author));
endif;

get_header(); ?>
		
			<header id="archive-header" class="sixteen columns marT20 clear">
				<?php if($curauth->ct_profile_url) { ?>
                <div id="authorimg" class="three columns marT0 marR20 marL0 left">
                    <img src="<?php bloginfo('template_directory'); ?>/img_resize/timthumb.php?src=<?php echo $curauth->ct_profile_url; ?>&amp;w=600&zc=1" />
				</div>
				<?php } ?>
                <h5 class="author marB6"><?php echo $curauth->first_name; ?> <?php echo $curauth->last_name; ?></h5>
                <div id="contact-info" class="three columns contact-info left marL0">
					<?php if($curauth->tagline) { ?><p class="tagline"><strong><?php echo $curauth->tagline; ?></strong></p><?php } ?>
                    <?php if($curauth->mobile) { ?><p><?php _e('Mobile', 'contempo'); ?>: <?php echo $curauth->mobile; ?></p><?php } ?>
                    <?php if($curauth->office) { ?><p><?php _e('Office', 'contempo'); ?>: <?php echo $curauth->office; ?></p><?php } ?>
                    <?php if($curauth->fax) { ?><p><?php _e('Fax', 'contempo'); ?>: <?php echo $curauth->fax; ?></p><?php } ?>
                    <?php if($curauth->brokername) { ?><p><strong><?php echo $curauth->brokername; ?></strong></p><?php } ?>
					<?php if($curauth->brokernum) { ?><p><?php echo $curauth->brokernum; ?></p><?php } ?>
                </div>
                <?php if($curauth->description) { ?>
                <div class="eight columns contact-info left">
                    <p id="bio"><?php echo $curauth->description; ?></p>
				</div>	
				<?php } ?>
			</header>

            <div id="map-wrap" class="columns marT20">
				<?php
                $num = $ct_options['ct_contact_map_type'];
                $ID = $curauth->ID;
                query_posts( array(
                    'post_type' => 'listings',
                    'author' => $ID )
                );
                ?>
                
                <script>
                var property_list = [];
                var default_mapcenter = [];
                
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); $count++; ?>
                
                    var property = {
                        thumb: "<?php ct_first_image_tn_map() ?>",
                        price: "<?php currency(); ?><?php map_pin_price(); ?>",
                        fullPrice: "<?php currency(); ?><?php listing_price(); ?>",
                        bed: "<?php beds(); ?>",
                        bath: "<?php baths(); ?>",
                        size: "<?php echo get_post_meta($post->ID, "_ct_sqft", true); ?> <?php sqftsqm(); ?>",
                        street: "<?php the_title(); ?>",
                        city: "<?php city(); ?>",
                        state: "<?php state(); ?>",
                        zip: "<?php zipcode(); ?>",
                        latlong: "<?php echo get_post_meta(get_the_ID(), "_ct_latlng", true); ?>",
                        permalink: "<?php the_permalink(); ?>",
                        agentThumb: "<?php bloginfo('template_directory'); ?>/img_resize/timthumb.php?src=<?php the_author_meta('ct_profile_url'); ?>&w=40&zc=1'",
                        agentName: "<?php the_author_meta('first_name'); ?> <?php the_author_meta('last_name'); ?>",
                        agentTagline: "<?php if(get_the_author_meta('tagline')) { the_author_meta('tagline'); } ?>",
                        agentPhone: "<?php if(get_the_author_meta('office')) { the_author_meta('office'); } ?>",
                        agentEmail: "<?php if(get_the_author_meta('email')) { the_author_meta('email'); } ?>",
                        isHome: "<?php if(is_home()) { echo "false"; } else { echo "true"; } ?>",
                        commercial: "<?php if(has_type('commercial')) { echo 'commercial'; } ?>"
                    }
                    property_list.push(property);
                
            <?php     
                endwhile; endif;
                wp_reset_query();
            ?>
                </script>
                <script>var defaultmapcenter = {mapcenter: "<?php echo $ct_options['ct_home_map_center']; ?>"}; google.maps.event.addDomListener(window, 'load', function(){ estateMapping.init_property_map(property_list, defaultmapcenter); });</script>
                <div id="map" class="sixteen columns"></div>
            </div>

<?php get_footer(); ?>