<?php 
/**
 * Standard Loop
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 
if ( ! have_posts() ) : ?>

	<p class="nomatches left clear"><?php _e( 'Apologies, but no results were found for the requested archive.<br />Perhaps searching will help find a related post.', 'contempo' ); ?></p>

<?php elseif ( have_posts() ) : while ( have_posts() ) : the_post();

	global $ct_options;
	$ct_read_more = $ct_options['ct_read_more']; ?>
		
    <article <?php post_class('marB18 left'); ?>>
		<?php include(TEMPLATEPATH . '/includes/post-lead.php'); ?>
		<?php include(TEMPLATEPATH . '/includes/post-meta.php'); ?>
		
        <h2 class="entry-title marT10 marB12"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        <p class="excerpt"><?php the_excerpt(); ?></p>
        <a class="read-more right" href="<?php the_permalink(); ?>"><?php if($ct_read_more) { echo $ct_read_more; } else {  echo "Read more &rarr;"; } ?></a>
    </article>

<?php endwhile; ?>

	    <?php ct_pagination(); ?>

<?php endif; ?>