<?php
/**
 * Single Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */

get_header(); ?>

			<?php global $ct_options;
				if($ct_options['ct_layout'] == 'left-sidebar') {
				get_sidebar();
			} ?>


            <section class="ten columns marT20 left">
            
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                    <article id="post-<?php the_ID(); ?>" <?php post_class('left clear'); ?>>
						
						<?php if($ct_options['ct_post_breadcrumbs'] == "Yes") { ?>
							<?php ct_breadcrumbs(); ?>
						<?php } ?>
						
						<?php include(TEMPLATEPATH . '/includes/post-lead.php'); ?>
                        <?php include(TEMPLATEPATH . '/includes/post-meta.php'); ?>

                        <div class="article-content marT10 right clear">                            
                            <h2 class="entry-title marB18"><?php the_title(); ?></h2>
							<?php the_content(); ?>
                        </div>
                        
                        <?php if($ct_options['ct_author_info'] == "Yes") { ?>
                        <div id="authorinfo" class="left clear">
                            <a href="<?php the_author_meta('url'); ?>"><?php echo get_avatar( get_the_author_meta('email'), '80' ); ?></a>
                            <h5>Author: <a href="<?php the_author_meta('url'); ?>"><?php the_author(); ?></a></h5>
                            <p><?php the_author_meta('description'); ?></p>
                        </div>
                        <?php } ?>
						
		            	<nav class="marT24 marB0 left clear">
	                        <div class="nav-previous left"><?php next_post_link('%link', '<em>&larr;</em> Previous', TRUE); ?></div>
	                        <div class="nav-next right"><?php previous_post_link('%link', 'Next <em>&rarr;</em>', TRUE); ?></div>
	                    </nav>
						
                    </article>
                    
                    <?php if($ct_options['ct_post_comments'] == "Yes") { ?>
					<?php comments_template( '', true ); ?>
                    <?php } ?>
                
				<?php endwhile; ?>
                
					<?php wp_link_pages(); ?>
				
				<?php endif; ?>
                
            </section>
            
            <?php global $ct_options;
				if($ct_options['ct_layout'] == 'right-sidebar') {
				get_sidebar();
			} ?>

<?php get_footer(); ?>