<?php
/**
 * Template Name: Sitemap
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */

get_header(); ?>

            <section class="ten columns marT20 left">
            
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                    <article id="post-<?php the_ID(); ?>" <?php post_class('left clear'); ?>>

						<?php ct_breadcrumbs(); ?>                         
                    
                        <h2 class="entry-title marB18"><?php the_title(); ?></h2>
						<?php the_content(); ?>
                        
                        <div class="four columns left">
                            <h5 class="marB10"><?php _e('Pages', 'contempo'); ?></h5>
                            <ul>
                                <?php wp_list_pages( 'depth=0&sort_column=menu_order&title_li=' ); ?>		
                            </ul>
                        </div>
                        
                        <div class="four columns right marR0">
                            <h5 class="marB10"><?php _e('Categories', 'contempo'); ?></h5>
                            <ul>
                                <?php wp_list_categories( 'title_li=&hierarchical=0&show_count=1') ?>	
                            </ul>
                        </div>

                    </article>
                
				<?php endwhile; endif; ?>
                
            </section>
            
            <?php get_sidebar(); ?>

<?php get_footer(); ?>