<?php
/**
 * Shortcode Setup
 *
 * @package WP Artisan
 * @subpackage Admin
 */
	function ct_shortcode_new_to_old_params( $params, $old_format_support = false ) {
		$str = '';
		
		if ( $old_format_support && isset( $params[0] ) ) {
			$str = ltrim( $params[0], '=' );
		} elseif ( is_array( $params ) ) {
			foreach ( array_keys( $params ) as $key ) {
				if ( ! is_numeric( $key ) )
					$str = $key . '=' . $params[$key];
			}
		}
		
		return str_replace( array( '&amp;', '&#038;' ), '&', $str );  
	}
	
	function ct_load_shortcodes() {
		foreach ( glob( dirname( __FILE__ ) . '/shortcodes/*.php' ) as $file ) {
			include $file;
		}
	}
	
	ct_load_shortcodes();

?>