<?php
/**
 * Register Tiny MCE Buttons
 *
 * @package WP Artisan
 * @subpackage Admin
 */

	// Initialize
	add_action('init', 'add_button');
	
	function add_button() {
	   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
	   {
		 add_filter('mce_external_plugins', 'add_plugin');
		 add_filter('mce_buttons_3', 'register_button');
	   }
	}
	
	//Register the button
	function register_button($buttons) {
	   array_push($buttons, "dropcap","dropcap2","highlight","button","info","warning","error","success","note","download","divider","singlecol","singlecol_last","onethirdcol","onethirdcol_last","twocol","twocol_last","twothirdcol","twothirdcol_last","threecol","threecol_last","fourcol");
	   return $buttons;
	}
	
	function add_plugin($plugin_array) {
	   $plugin_array['dropcap'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['dropcap2'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['highlight'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['button'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['info'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['warning'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['error'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['success'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['note'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['download'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['divider'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['singlecol'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['singlecol_last'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['onethirdcol'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['onethirdcol_last'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['twocol'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['twocol_last'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['twothirdcol'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['twothirdcol_last'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['threecol'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['threecol_last'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   $plugin_array['fourcol'] = get_template_directory_uri().'/admin/js/tinymce/tinymce.js';
	   return $plugin_array;
	}
 
?>