<?php
/**
 * Advanced Search Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 ?>

<div id="advanced-search" class="marB20">
	<div id="advanced-search-inner">

        <form id="advanced_search" name="search-listings" action="<?php bloginfo('url'); ?>">
            
            <h3 class="marB0"><?php _e('Find your new home', 'contempo'); ?></h3>
            <p class="marB6"><?php $count_posts = wp_count_posts('listings'); $published_listings = $count_posts->publish; ?><?php echo $published_listings ?> <?php _e('Real Estate Listings, Homes for Sale &amp; Rental Properties.', 'contempo'); ?></p>
            
            <div class="top-row left">
                <label for="ct_type"><?php _e('Type', 'contempo'); ?></label>
                <?php ct_search_form_select('property_type'); ?>
            </div>
			
            <div class="left">
                <label for="ct_city"><?php _e('City', 'contempo'); ?></label>
                <?php ct_search_form_select('city'); ?>
            </div>
            
            <div class="left">
                <label for="ct_state"><?php _e('State', 'contempo'); ?></label>
                <?php ct_search_form_select('state'); ?>
            </div>
            
            <div class="top-row left">
                <label for="ct_zipcode"><?php _e('Postcode', 'contempo'); ?></label>
                <?php ct_search_form_select('zipcode'); ?>
            </div>
			
            <div class="left">
                <label for="ct_beds"><?php _e('Beds', 'contempo'); ?></label>
                <?php ct_search_form_select('beds'); ?>
            </div>
            
            <div class="left marR0">
                <label for="ct_baths"><?php _e('Baths', 'contempo'); ?></label>
                <?php ct_search_form_select('baths'); ?>
            </div>
			
			<div class="clear"></div>
				
            <div class="left">
                <label for="ct_status"><?php _e('Status', 'contempo'); ?></label>
                <?php ct_search_form_select('status'); ?>
            </div>
            
            <div class="left">
                <label for="ct_additional_features"><?php _e('Addtional Features', 'contempo'); ?></label>
                <?php ct_search_form_select('additional_features'); ?>
            </div>
            
                <div class="clear"></div>

			<?php global $wp_version; if (version_compare($wp_version, '3.1', '>=')) : ?>
			<div class="left">
                <label for="ct_price_from"><?php _e('Price From ($)', 'contempo'); ?></label>
				<input type="text" id="ct_price_from" class="number" name="ct_price_from" size="8" />
            </div>    

			<div class="left">
                <label for="ct_price_to"><?php _e('Price To ($)', 'contempo'); ?></label>
				<input type="text" id="ct_price_to" class="number" name="ct_price_to" size="8" />
            </div>
            <?php endif; ?>
			
            <div class="left">
                <label for="ct_mls"><?php _e('MLS #', 'contempo'); ?></label>
                <input type="text" id="ct_mls" name="ct_mls" size="12" />
            </div>
            
            <input type="hidden" name="search-listings" value="true" />
            <input id="submit" class="btn btn-blue right marT15" type="submit" value="<?php _e('Search', 'contempo'); ?>" />
            
                <div class="clear"></div>
            
        </form>

    </div>
</div>