<?php
/**
 * Post Meta
 *
 * @package WP Pro Real Estate 3
 * @subpackage Include
 */
 ?>

<ul class="meta left marT10 marR20">
    <li class="author"><?php the_author_posts_link(); ?></li>
    <li class="category"><?php $cat = get_the_category(); $cat = $cat[0]; ?><a href="<?php echo home_url(); ?>/?cat=<?php echo $cat->cat_ID; ?>"><?php echo $cat->cat_name; ?></a></li>
    <li class="date"><?php the_time($GLOBALS['ctdate']); ?></li>
    <li class="comments-num"><a href="<?php comments_link(); ?>"><?php comments_number(__('No Responses', 'contempo'), __('1 Comment', 'contempo'), __( '% Comments', 'contempo') );?></a></li>
    <?php $posttags = get_the_tags(); { ?><?php if ($posttags) { ?><li class="tags"><?php the_tags(); ?></li><?php } ?><?php } ?>
    <?php if(is_single()) { ?>
    <li class="print"><a href="javascript:window.print()"><?php _e('Print This Post', 'contempo'); ?></a></li>
    <?php if(get_option("ct_tweet", true) == "yes") { ?>
    <li class="twitter">
        <a href="http://twitter.com/share" class="twitter-share-button" data-count="horizontal">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
    </li>
	<?php } ?>
    <?php if(get_option("ct_linkedin", true) == "yes") { ?>
    <li class="linkedin">
		<script type="text/javascript" src="http://platform.linkedin.com/in.js"></script><script type="in/share" data-counter="right"></script>
    </li>
    <?php } ?>
    <?php if(get_option("ct_google", true) == "yes") { ?>
    <li class="google">
		<g:plusone size="medium"></g:plusone>
        <script type="text/javascript">
		  (function() {
			var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
			po.src = 'https://apis.google.com/js/plusone.js';
			var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
		  })();
		</script>
    </li>
	<?php } ?>
    <?php } ?>
</ul>