<?php
/**
 * Agent Info
 *
 * @package WP Pro Real Estate 3
 * @subpackage Widget
 */
 
class ct_AgentInfo extends WP_Widget {

   function ct_AgentInfo() {
	   $widget_ops = array('description' => 'Use this widget to display your listing agent information, can only be used in the Listing Single sidebar as it relies on listing information for content.' );
	   parent::WP_Widget(false, __('Agent Info', 'contempo'),$widget_ops);      
   }

   function widget($args, $instance) {  
	extract( $args );
	?>
		<?php echo $before_widget; ?>        
        <?php if(get_the_author_meta('ct_profile_url')) { ?><img class="authorimg left marR10" src="<?php bloginfo('template_directory'); ?>/img_resize/timthumb.php?src=<?php the_author_meta('ct_profile_url'); ?>&amp;w=95&zc=1" /><?php } ?>
        <div class="authorinfo left">
            <p class="presented marB0"><?php _e('Presented by', 'contempo'); ?></p>
            <h6 class="author marB6"><a href="<?php bloginfo('wpurl'); ?>/?author=<?php the_author_meta('ID'); ?>"><?php the_author_meta('first_name'); ?> <?php the_author_meta('last_name'); ?></a></h6>
            <?php if(get_the_author_meta('tagline')) { ?><p class="tagline"><strong><?php the_author_meta('tagline'); ?></strong></p><?php } ?>
            <?php if(get_the_author_meta('mobile')) { ?><p><?php _e('Mobile', 'contempo'); ?>: <?php the_author_meta('mobile'); ?></p><?php } ?>
            <?php if(get_the_author_meta('office')) { ?><p><?php _e('Office', 'contempo'); ?>: <?php the_author_meta('office'); ?></p><?php } ?>
            <?php if(get_the_author_meta('fax')) { ?><p><?php _e('Fax', 'contempo'); ?>: <?php the_author_meta('fax'); ?></p><?php } ?>
        </div>		
		<?php echo $after_widget; ?>   
    <?php
   }

   function update($new_instance, $old_instance) {                
	   return $new_instance;
   }

   function form($instance) { ?>  
		<p>No options for this widget</p>
	<?php }
} 

register_widget('ct_AgentInfo');
?>