<?php
/**
 * Search Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */

get_header(); ?>
		
			<header id="archive-header" class="sixteen columns marT20 clear">
				<?php if (is_category()) { ?>
                <h3 class="left"><?php echo single_cat_title(); ?></h3>
                <p class="marT6 marB0 right"><?php echo category_description(); ?></p>
                <?php } elseif (is_day()) { ?>
                <h3><?php _e( 'Archive', 'contempo' ); ?> | <?php the_time($GLOBALS['ctdate']); ?></h1>
                <?php } elseif (is_month()) { ?>
                <h3><?php _e( 'Archive', 'contempo' ); ?> | <?php the_time( 'F, Y' ); ?></h1>
                <?php } elseif (is_year()) { ?>
                <h3><?php _e( 'Archive', 'contempo' ); ?> | <?php the_time( 'Y' ); ?></h1>
                <?php } elseif (is_author()) { ?>
                <h3><?php _e( 'Archive by Author', 'contempo' ); ?></h1>
                <?php } elseif (is_tag()) { ?>
                <h3><?php _e( 'Tag Archives:', 'contempo' ); ?> <?php echo single_tag_title( '', true); ?></h1>
                <?php } elseif (is_404()) { ?>
                <h3><?php _e( 'Whoops&hellip;', 'contempo' ); ?></h1>
                <?php } ?>
			</header>
            
            <?php global $ct_options;
				if($ct_options['ct_layout'] == 'left-sidebar') {
				get_sidebar();
			} ?>

            <section class="ten columns marT20">
	            
				<?php get_template_part( 'loop' ); ?>
                
            </section>

			<?php global $ct_options;
				if($ct_options['ct_layout'] == 'right-sidebar') {
				get_sidebar();
			} ?>

<?php get_footer(); ?>